Subject: Re: bug#11046: 24.0.94; Customize: M-TAB moves cursor over tag; clicking button moves cursor over button

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 01 Oct 2019 14:33:44 +0200

Mauro Aranda <[email-masked]> writes:

> This is because the completion function used for string widgets is
> ispell-complete-word and that command will look back from point until it
> finds a word to complete.
> I can't think of another way of fixing this other than peeking what will
> ispell-complete-word try to complete, so I attach a patch that does
> that.

I think that makes sense...

> -  :complete-function 'ispell-complete-word
> +  :complete (lambda (widget)
> +              (eval-and-compile (require 'ispell)) ; For `ispell-get-word'.

I think the way we usually do this is by just saying (require 'ispell)
in the function, and pacify the compiler by using a `declare-function'.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no